| Home | Libraries | People | FAQ | More

###### connection::async_quit (2 of 2 overloads)

Notifies the MySQL server that the client wants to end the session and shutdowns SSL.

###### Synopsis

    template<
        class CompletionToken>
    auto
    async_quit(
        diagnostics& diag,
        CompletionToken&& token);

###### Description

Sends a quit request to the MySQL server. If the connection is using SSL, this function will also perform the SSL shutdown. You should close the underlying physical connection after calling this function.

If the `Stream` template parameter fulfills the `SocketConnection` requirements, use `connection::close` instead of this function, as it also takes care of closing the underlying stream.

###### Handler signature

The handler signature for this operation is `void(boost::mysql::error_code)`.